Subject: Re: mingw64-x86_64-libidn2 is out-of-date, causes linking fail
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Sat, 5 Feb 2022 14:57:19 -0700
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2022-02-05 11:15, Henry S. Thompson wrote:
> There's a version skew problem between the current gnutls (3.5.18)
> and libidn2 (2.3.2) in mingw64-x86_64.  This tickles an old bug (see
> e.g. this bug report [1]) at runtime, namely:
>    entry point "_idn2_punycode_decode" could not be found in
>    .../libgnutls-30.dlls-30.dll
> Downgrading mingw64-x86_64-libidn2 from 2.3.2 (2021) to 2.0,4 (2017)
> fixes the problem, but may or may not introduce other issues down the
> line.
> Any chance we could get an update to the mingw64-x86_64-gnutls
> package?  I note that the libgnutls30 package is at 3.6.9, and gnutls
> stable itself is at 3.6.16.
> [1] https://bugzilla.redhat.com/show_bug.cgi?id=1683812

It is currently ORPHANED so I had a look a year or so ago at getting 
base Cygwin gnutls up to date for htmldoc, wget/2 but found ORPHANED 
required dependency upgrades which had cygport build problems I couldn't 
address.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple